<?php
/**
 * Tirpitz functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Tirpitz
 */

if ( ! function_exists( 'tirpitz_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
function tirpitz_setup() {
	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 * If you're building a theme based on Tirpitz, use a find and replace
	 * to change 'tirpitz' to the name of your theme in all the template files.
	 */
	load_theme_textdomain( 'tirpitz', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	/*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */
	add_theme_support( 'title-tag' );

	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
	 */
	add_theme_support( 'post-thumbnails' );
    add_image_size('tirpitz-large-thumb', 1500, 300, true);
    add_image_size('tirpitz-small-thumb', 805, 540, true);  

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'primary' => esc_html__( 'Primary', 'tirpitz' ),
        'social' => esc_html__('Social Menu', 'tirpitz')
	) );

	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	/*
	 * Enable support for Post Formats.
	 * See https://developer.wordpress.org/themes/functionality/post-formats/
	 */
	add_theme_support( 'post-formats', array(
		'aside',
		'image',
		'video',
		'quote',
		'link',
	) );

	// Set up the WordPress core custom background feature.
	add_theme_support( 'custom-background', apply_filters( 'tirpitz_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	) ) );
}
endif;
add_action( 'after_setup_theme', 'tirpitz_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function tirpitz_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'tirpitz_content_width', 640 );
}
add_action( 'after_setup_theme', 'tirpitz_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function tirpitz_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'tirpitz' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'tirpitz' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
    
    /**
     * Registering the widgetized area.
     *
     */
    register_sidebar( array(
		'name'          => esc_html__( 'Main Widget', 'tirpitz' ),
		'id'            => 'main_widget',
		'before_widget' => '<div class="singleWidget column">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widgetTitle">',
		'after_title'   => '</h2>',
	) );
}
add_action( 'widgets_init', 'tirpitz_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function tirpitz_scripts() {
    
    wp_enqueue_style('tirpitz-google-fonts', '//fonts.googleapis.com/css?family=Josefin+Sans:400,400italic,600,600italic,700,700italic|Playfair+Display:400,700,400italic,700italic,900,900italic');
    
	wp_enqueue_style( 'tirpitz-style', get_stylesheet_uri() );
    
    wp_enqueue_style('tirpitz-cssmenu-styles', get_template_directory_uri() . '/cssmenu/styles.css');
    
    wp_enqueue_style( 'font-awesome', get_stylesheet_directory_uri() . '/font-awesome/css/font-awesome.css');
    
    wp_enqueue_script('tirpitz-css-navigation', get_template_directory_uri() . '/cssmenu/script.js', array('jquery'), '20160404', true);

	wp_enqueue_script( 'navigation', get_template_directory_uri() . '/js/navigation.js', array('jquery'), '20160404', true );

	wp_enqueue_script( 'tirpitz-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20151215', true );
    
    wp_enqueue_script('equalizer-js', get_template_directory_uri() . '/equalizer/equalizer.js', array(), '20160409', true);
    
    wp_enqueue_script('tirpitz-custom-js', get_template_directory_uri() . '/js/custom.js', array(), '20160409', true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'tirpitz_scripts' );

/**
 * Implement the Custom Header feature.
 */
//require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';
